Subject: Re: [RFC] A unique way to express "all" (vs "add vs "update") ?

From: Jerome Lovy <[email-masked]>
Date: Mon, 18 Dec 2006 15:04:06 +0100

Carl Worth wrote:
> On Fri, 15 Dec 2006 12:38:51 +0100, Jerome Lovy wrote:
>> While I am very happy with the refactorings undertaken with regard to
>> "git add/git commit" (both for UI and documentation), I am still a
>> little confused by the different ways I seem to find to express the idea
>> "I want to add (sort of) all file contents".
> 
> I agree that there have been huge improvements---particularly in
> documentation. So thanks to everybody!
> 
> Here's a simpler idea that might add the unification you're looking
> for. How about a new option:
> 
> 	git add -a|--all
> 
> This would allow "git commit -a|--all" to be understood as a simple
> helper for:
> 
> 	git add -a|--all
> 	git commit
> 
> That kind of unification seems like it could be helpful while learning
> things.
Exactly. I like it.

Now, it underlines the fact that this "--all" should IMHO rather be
called "--all-known" or the like - both for "add" and "commit" - but all
the same, I would be very happy with a more complete "git add" following
your proposed unification.

Jérôme